package com.mysema.converters;

import java.util.HashMap;
import java.util.Map;


public final class Converters {
    
    private final Map<Class<?>, Converter<?>> converters = new HashMap<Class<?>,Converter<?>>();
    
    public Converters() {
        register(new BigDecimalConverter());
        register(new BigIntegerConverter());
        register(new BlobConverter());
        register(new BooleanConverter());
        register(new ByteConverter());
        register(new CalendarConverter());
        register(new CharacterConverter());
        register(new ClassConverter());
        register(new DateConverter());
        register(new DateTimeConverter());
        register(new DoubleConverter());
        register(new FloatConverter());
        register(new IntegerConverter());
        register(new LocalDateConverter());
        register(new LocalTimeConverter());
        register(new LongConverter());
        register(new ShortConverter());
        register(new TimeConverter());
        register(new TimestampConverter());
        register(new URIConverter());
        register(new URLConverter());
        register(new UtilDateConverter());
    }
    
    public void register(Converter<?> converter){
        converters.put(converter.getJavaType(), converter);
    }

    @SuppressWarnings("unchecked")
    public <T> Converter<T> getConverter(Class<T> clazz){
        return (Converter<T>)converters.get(clazz);
    }
}
