/*
 * Copyright (c) 2010 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.converters;

import java.net.MalformedURLException;
import java.net.URL;

public class URLConverter extends AbstractConverter<URL> {
    
    @Override
    public URL fromString(String str) {
        try {
            return new URL(str);
        } catch (MalformedURLException e) {
            String error = "Caught " + e.getClass().getName();
            throw new IllegalArgumentException(error, e);
        }
    }

    @Override
    public Class<URL> getJavaType() {
        return URL.class;
    }

}
